# Uses of Class
javafx.scene.media.MediaErrorEvent

Packages that use MediaErrorEvent
Package
Description
javafx.scene.media
Provides the set of classes for integrating audio and video into Java FX Applications.

## Uses of MediaErrorEvent in javafx.scene.media

Fields in javafx.scene.media with type parameters of type MediaErrorEvent
Modifier and Type
Field
Description
`static final EventType<MediaErrorEvent>`
MediaErrorEvent.`MEDIA_ERROR`
The only valid event type for the `MediaErrorEvent`.
Methods in javafx.scene.media that return MediaErrorEvent
Modifier and Type
Method
Description
`MediaErrorEvent`
MediaErrorEvent.`copyFor(Object newSource, EventTarget newTarget)`
Methods in javafx.scene.media that return types with arguments of type MediaErrorEvent
Modifier and Type
Method
Description
`EventType<MediaErrorEvent>`
MediaErrorEvent.`getEventType()`
`final EventHandler<MediaErrorEvent>`
MediaView.`getOnError()`
Retrieves the error event handler.
`final ObjectProperty<EventHandler<MediaErrorEvent>>`
MediaView.`onErrorProperty()`
Event handler to be invoked whenever an error occurs on this `MediaView`.
Method parameters in javafx.scene.media with type arguments of type MediaErrorEvent
Modifier and Type
Method
Description
`final void`
MediaView.`setOnError(EventHandler<MediaErrorEvent> value)`
Sets the error event handler.